package de.ivu.elect.business.stimmeingabe.entity;

public enum StimmenLadenArt {

  LAZY {
    @Override
    public boolean isLazy() {
      return true;
    }
  },
  EAGER,

  NO_ENTITY/*_LAZY*/ {
    @Override
    public boolean isNoEntity() {
      return true;
    }
  },
  NO_ENTITY_EAGER {
    @Override
    public boolean isNoEntity() {
      return true;
    }

    @Override
    public boolean isNoEntityEager() {
      return true;
    }
  };

  public boolean isLazy() {
    return false;
  }

  public boolean isNoEntity() {
    return false;
  }

  public boolean isNoEntityEager() {
    return false;
  }


}
